LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 06-04-2017, 10:07 PM   #1
packets
Member
 
Registered: Oct 2005
Posts: 328

Rep: Reputation: 32
can't install DBD::mysql


My Machine is CentOS 5.11. It is now EOSL but I don't think my error is related to it. The version of perl is 5.20. I am installing DBD::mysql and it is throwing an error

Code:
Checking if libs are available for compiling...
Can't link/include C library 'mysqlclient', aborting.
That was from source package. Now, I tried to use CPAN and same result

Code:
To change these settings, see 'perl Makefile.PL --help' and
'perldoc DBD::mysql::INSTALL'.

Checking if libs are available for compiling...
Can't link/include C library 'mysqlclient', aborting.
Warning: No success on command[/usr/local/bin/perl Makefile.PL]
  MICHIELB/DBD-mysql-4.042.tar.gz
  /usr/local/bin/perl Makefile.PL -- NOT OK
Failed during this command:
 MICHIELB/DBD-mysql-4.042.tar.gz              : writemakefile NO '/usr/local/bin/perl Makefile.PL' returned status 512
Note that I have installed mysql-devel

Code:
# rpm -qa | grep -i mysql-devel
MySQL-devel-5.5.14-1.rhel5
Upgrading an OS is not an option as of the moment. I tried running ldconfig but to no avail. Has anyone experience the same error? How did you resolve it?

Last edited by packets; 06-04-2017 at 10:10 PM.
 
Old 06-05-2017, 12:59 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2021 CentOS7.9 + 50+ other Linux OS, for test only.
Posts: 17,433

Rep: Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623
Quote:
MySQL-devel-5.5.14-1.rhel5
? Are you sure that this (3rd party?) package matches the installed mysql ?
? Which version(s) of mysql is installed ?
The original CentOS 5.11 version is: mysql-5.0.95-5.el5_9, mysql-devel-5.0.95-5.el5_9
Extra versions: mysql51*, mysql55*
... and various 3party versions: remi, rpmforge, oracle etc.

The official file list is here
http://vault.centos.org/5.11/os/x86_64/CentOS/

-
 
Old 06-05-2017, 02:15 AM   #3
packets
Member
 
Registered: Oct 2005
Posts: 328

Original Poster
Rep: Reputation: 32
The package I installed came from MySQL and not from the repositories.

Anyway, issue got resolve after installing MySQL-shared-compat and MySQL-shared
 
Old 06-05-2017, 02:53 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2021 CentOS7.9 + 50+ other Linux OS, for test only.
Posts: 17,433

Rep: Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623Reputation: 3623
@packets, please mark the thread as [SOLVED]

Thread Tools ....
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Can't Install DBD:mysql smc2 Programming 3 01-24-2011 12:32 PM
Bugzilla - MySQL - perl - DBD::mysql install problem amchargue Linux - Software 3 09-10-2008 12:01 AM
Bugzilla - MySQL - perl - DBD::mysql install problem Runningonair Linux - Software 8 10-12-2007 12:42 AM
DBD::MySQL + MySQL install problems. Elleroth Linux - Software 4 03-24-2006 06:53 AM
Can't install DBD::mysql or DBD::Pg DogTags Mandriva 2 01-21-2004 07:13 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:34 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration